﻿/// <reference path="jquery-1.4.2.min.js" />
/// <reference path="common.js" />

/* Popup Dialog Default */
var popupDialogDefault = {
    init: function () {
        this.callback = null;
        this.closetimer = null;
    },
    focus: function (callback, messages, autohidetime) {
        this.callback = callback;

        if (callback != null) {
            master.keyclass = popupDialogDefault;
        }

        var popupDialog = $("#popupDialog");
        var popupContainer = popupDialog.children(".popup-container");
        popupDialog.show();

        var tbl = popupDialog.find("table");
        var txtbody = $("#popupDialog-TextBody");

        var dialogbody = '<ul>';
        for (i = 0; i < messages.length; i++) {
            dialogbody += '<li>' + messages[i] + '</li>';
        }
        dialogbody += '</ul>'
        txtbody.html(dialogbody);

        popupContainer.height(tbl.innerHeight());
        popupContainer.css("top", Math.max(0, ((720 - popupContainer.outerHeight()) / 2) + $(window).scrollTop()) + "px");
        popupContainer.css("left", Math.max(0, ((1280 - popupContainer.outerWidth()) / 2) + $(window).scrollLeft()) + "px");

        if (autohidetime == undefined) {
            autohidetime = 0;
        }
        if (autohidetime > 0) {
            popupDialogDefault.closetimer = setTimeout(function () { popupDialogDefault.hide(); }, (autohidetime * 1000));
        }
    },
    hide: function () {
        if (popupDialogDefault.closetimer != null) {
            clearTimeout(popupDialogDefault.closetimer);
            popupDialogDefault.closetimer = null;
        }
        var popupDialog = $("#popupDialog");
        var txtbody = $("#popupDialog-TextBody");

        popupDialog.hide();
        txtbody.html('');

        if (popupDialogDefault.callback != null) {
            popupDialogDefault.callback();
        }
        popupDialogDefault.init();
    },
    ok: function () {
        popupDialogDefault.hide();
    },
    back: function () {
        popupDialogDefault.hide();
    }
}
/* Popup Dialog OK */
var popupDialogOK = {
    init: function () {
        this.callback = null;
        this.closetimer = null;
    },
    focus: function (callback, messages, autohidetime) {
        this.callback = callback;

        if (callback != null) {
            master.keyclass = popupDialogOK;
        }

        var popupDialog = $("#popupDialogOK");
        var popupContainer = popupDialog.children(".popup-container");
        popupDialog.show();

        var tbl = popupDialog.find("table");
        var txtbody = $("#popupDialogOK-TextBody");

        var dialogbody = '<ul>';
        for (i = 0; i < messages.length; i++) {
            dialogbody += '<li>' + messages[i] + '</li>';
        }
        dialogbody += '</ul>'
        txtbody.html(dialogbody);

        popupContainer.height(tbl.innerHeight());
        popupContainer.css("top", Math.max(0, ((720 - popupContainer.outerHeight()) / 2) + $(window).scrollTop()) + "px");
        popupContainer.css("left", Math.max(0, ((1280 - popupContainer.outerWidth()) / 2) + $(window).scrollLeft()) + "px");

        if (autohidetime == undefined) {
            autohidetime = 0;
        }
        if (autohidetime > 0) {
            popupDialogOK.closetimer = setTimeout(function () { popupDialogOK.hide(); }, (autohidetime * 1000));
        }
    },
    hide: function () {
        if (popupDialogOK.closetimer != null) {
            clearTimeout(popupDialogOK.closetimer);
            popupDialogOK.closetimer = null;
        }
        var popupDialog = $("#popupDialogOK");
        var txtbody = $("#popupDialogOK-TextBody");

        popupDialog.hide();
        txtbody.html('');

        if (popupDialogOK.callback != null) {
            popupDialogOK.callback();
        }
        popupDialogOK.init();
    },
    ok: function () {
        popupDialogOK.hide();
    },
    back: function () {
        popupDialogOK.hide();
    }
}
/* Popup Dialog YesNo */
var popuDialogYesNo = {
    init: function () {
        this.yescallback = null;
        this.nocallback = null;
        this.closetimer = null;
    },
    setYes: function () {
        var popupDialog = $("#popupDialogYesNo");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.first().addClass("on");
    },
    setNo: function () {
        var popupDialog = $("#popupDialogYesNo");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.last().addClass("on");
    },
    focus: function (messages, yescallback, nocallback, autohidetime) {
        master.keyclass = popuDialogYesNo;
        this.yescallback = yescallback;
        this.nocallback = nocallback;

        var popupDialog = $("#popupDialogYesNo");
        var popupContainer = popupDialog.children(".popup-container");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.first().addClass("on");
        popupDialog.show();

        var tbl = popupDialog.find(".popup-wrapper");
        var txtbody = $("#popupDialogYesNo-TextBody");

        var dialogbody = '<ul>';
        for (i = 0; i < messages.length; i++) {
            dialogbody += '<li>' + messages[i] + '</li>';
        }
        dialogbody += '</ul>'
        txtbody.html(dialogbody);

        popupContainer.height(tbl.innerHeight());
        popupContainer.css("top", Math.max(0, ((720 - popupContainer.outerHeight()) / 2) +
                                                $(window).scrollTop()) + "px");
        popupContainer.css("left", Math.max(0, ((1280 - popupContainer.outerWidth()) / 2) +
                                                $(window).scrollLeft()) + "px");

        if (autohidetime == undefined) {
            autohidetime = 0;
        }
        if (autohidetime > 0) {
            popuDialogYesNo.closetimer = setTimeout(function () { popuDialogYesNo.ok(); }, (autohidetime * 1000));
        }
    },
    left: function () {
        var popupDialog = $("#popupDialogYesNo");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.first().addClass("on");

    },
    right: function () {
        var popupDialog = $("#popupDialogYesNo");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.last().addClass("on");
    },
    ok: function () {
        if (popuDialogYesNo.closetimer != null) {
            clearTimeout(popuDialogYesNo.closetimer);
            popuDialogYesNo.closetimer = null;
        }
        
        var popupDialog = $("#popupDialogYesNo");
        var txtbody = $("#popupDialogYesNo-TextBody");
        var btns = popupDialog.find(".btn");

        popupDialog.hide();
        txtbody.html('');

        if (btns.first().hasClass("on")) {
            popuDialogYesNo.yescallback();
        } else {
            popuDialogYesNo.nocallback();
        }
        popuDialogYesNo.init();
    }
}

/* popup OAuthUsing Default */
var popupDialogOAuthUsing = {
    init: function () {
        this.callback = null;
        this.closetimer = null;
    },
    focus: function (callback, title, messages, autohidetime) {
        master.keyclass = popupDialogOAuthUsing;
        this.callback = callback;

        var popupDialog = $("#popupOAuthUsingDialog");
        var popupContainer = popupDialog.children(".popup-container");
        var btns = popupDialog.find(".btn");
        btns.removeClass("on");
        btns.addClass("on");

        var tbl = popupDialog.find(".popup-wrapper");
        tbl.children("h1").html(title);

        var txtbody = $("#popupOAuthUsingDialog-TextBody");

        var dialogbody = '<ul>';
        for (i = 0; i < messages.length; i++) {
            dialogbody += '<li>' + messages[i] + '</li>';
        }
        dialogbody += '</ul>'
        txtbody.html(dialogbody);

        popupDialog.show();

        popupContainer.height(tbl.innerHeight());
        popupContainer.css("top", Math.max(0, ((720 - popupContainer.outerHeight()) / 2) +
                                                $(window).scrollTop()) + "px");
        popupContainer.css("left", Math.max(0, ((1280 - popupContainer.outerWidth()) / 2) +
                                                $(window).scrollLeft()) + "px");

        if (autohidetime == undefined) {
            autohidetime = 0;
        }
        if (autohidetime > 0) {
            popupDialogOAuthUsing.closetimer = setTimeout(function () { popupDialogOAuthUsing.ok(); }, (autohidetime * 1000));
        }
       
    },
    ok: function () {
        if (popupDialogOAuthUsing.closetimer != null) {
            clearTimeout(popupDialogOAuthUsing.closetimer);
            popupDialogOAuthUsing.closetimer = null;
        }
        var popupDialog = $("#popupOAuthUsingDialog");
        var txtbody = $("#popupOAuthUsingDialog-TextBody");
        var tbl = popupDialog.find(".popup-wrapper");

        popupDialog.hide();
        txtbody.html('');
        tbl.children("h1").html('');

        popupDialogOAuthUsing.callback();
        popupDialogOAuthUsing.init();
    }
}